glab(1)

NAME
glab-repo-update - Update an existing GitLab project or repository.

SYNOPSIS
glab repo update [path] [flags]

DESCRIPTION
Update an existing GitLab project or repository.

OPTIONS
--defaultBranch=""
    New default branch for the project.

-d, --description=""
    New description for the project.

OPTIONS INHERITED FROM PARENT COMMANDS
--help[=false]
    Show help for this command.

EXAMPLE
    # Update the description for my-project.
    $ glab repo update my-project --description "This project is cool."
    # Update the default branch for my-project.
    $ glab repo update my-project --defaultBranch main

SEE ALSO
glab-repo(1)